Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040202
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Cash upmajoralways2019-02-04 16:492019-03-07 09:43
Reporterinaki_garciaView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision222e3597f45e
ProjectionnoneETAnoneTarget VersionRR19Q1
OSOtherDatabaseAnyJava version
OS VersioniOS 12.1.1 (16C50)Database versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040202: [RR19Q1] [iPad] [UX] The user tag and "Bring" button in the cashup step of "Review pending receipts" displace the close button

DescriptionWhen reviewing the pending open receipts when performing a cashup, the lines for the receipts that belong to another user of the same terminal present a layout issue:
the label of the user and the "Bring" move the close button "X" out of the pane, making it invisible at first glance. This is a major usability issue and can make the
cash up experience very unintuitive, as it is the case with the iPad where the scroll to make the button visible doesn't appear.
Steps To Reproduce0. Log in the Web POS as user "Openbravo"
1. Add a product to the ticket
2. Force a log out by sesion expiration by waiting for 1 hour
3. Click on the "Log in again" button on the "Online" popup that appears
4. Log back in the Web POS as user "vallblanca"
5. Click on the "Cash up" button from the dropdown menu

NOTICE that the "Review pending receipts" step appears with the visual error and the close button can only be shown by scrolling to the right, as depicted in the attached
screenshots. This also reveals the issue with the layout (padding of elements, etc.)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040125 closedjavierRodriguez [RR19Q1] [iPad] [UX] The user tag and "Bring" button in the cashup step of "Review pending receipts" displace the close button 

-  Notes
(0110269)
hgbot (developer)
2019-03-06 17:48

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: 222e3597f45e6fb00240674700d58eec984a04df
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Wed Mar 06 17:47:16 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/222e3597f45e6fb00240674700d58eec984a04df [^]

Fixed issue 40202: The user tag and "Bring" button in the cashup step of "Review pending receipts" displace the close button

Created 3 components to show all the ticket information
Created styles to that components

---
M web/org.openbravo.retail.posterminal/css/obpos-main.css
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpendingreceipts.js
---
(0110277)
jorge-garcia (developer)
2019-03-07 09:03

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-14 15:59 marvintm Type defect => backport
2019-02-14 15:59 marvintm Target Version => RR19Q1
2019-03-06 17:48 hgbot Checkin
2019-03-06 17:48 hgbot Note Added: 0110269
2019-03-06 17:48 hgbot Status scheduled => resolved
2019-03-06 17:48 hgbot Resolution open => fixed
2019-03-06 17:48 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/222e3597f45e6fb00240674700d58eec984a04df [^]
2019-03-07 09:03 jorge-garcia Review Assigned To => jorge-garcia
2019-03-07 09:03 jorge-garcia Note Added: 0110277
2019-03-07 09:03 jorge-garcia Status resolved => closed
2019-03-07 09:43 jorge-garcia Assigned To Retail => javierRodriguez


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker